/**
******************************************************************************
* @file    externals.h
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief Interface variables: main, message_to_sensor and message_to_GUI
******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim
******************************************************************************
*/
/* Includes ------------------------------------------------------------------*/

#define NUMBER_OF_SCOPES_IN_THE_GUI 7
#define SEND_STATUS_TIME (250) // send status to host every 500ms//250ms
#define NUMBER_IRPyro      (4)
#define CCP_SIZE (5)

extern uint8_t mode_sleeping ;                // capture
extern uint8_t mode_lowPower ;                // capture

extern uint8_t UnitID[2];
extern uint8_t BoardType;
extern uint8_t DarkPixelState;
extern uint8_t FailureFlags;
extern uint8_t EmitterStatus;   //
extern uint16_t EmitterONTime;  //
extern uint16_t EmitterOFFTime; // this means 10Hz with 1:1 mark/space by default

extern uint8_t isStreaming;                 // flag
extern uint8_t isStatus;
extern uint8_t status_need_to_send;         // flag
extern uint8_t error_flag;                  // flag
extern uint8_t num_of_IRPyro_on_demo_board; // number of devices on a demo board

extern uint8_t sensor_destination;
extern IRPyro_devices  IRPyro_device;       // IRPyro sensors main structure
extern IRPyro_cmd_type IRPyro_device_cmd;   // ioctl command structure
extern IRPyro_arg_type IRPyro_device_arg;   // ioctl command arguments
extern uint8_t ChannelConfiguration[NUMBER_OF_SCOPES_IN_THE_GUI]; // order of the package for the scope on the GUI

/************************ _KEMET 2018 *****END OF FILE****/
