/**
******************************************************************************
* @file    queue.h
* @author  _KEMET, Ltd
* @date    March 2018
* @version Release 1.0.6
* @copyright (c) 2018 _KEMET, Ltd
* @brief Operates a circular queue
******************************************************************************
   @attention <h2><center>&copy; COPYRIGHT 2018 _KEMET, Ltd</center></h2>
   @verbatim
    Copyright (c) 2018, _KEMET, Ltd
    All rights reserved.

    THIS SOFTWARE IS PROVIDED BY _KEMET, Ltd ''AS IS'' AND ANY
    EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
    WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
    DISCLAIMED. IN NO EVENT SHALL _KEMET, Ltd BE LIABLE FOR ANY
    DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
    (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
    ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
    SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   @endverbatim
******************************************************************************
*/
/* Includes ------------------------------------------------------------------*/
#ifndef uart_QUEUE_H_
#define uart_QUEUE_H_
#include <stdio.h>
#include <stdint.h>
#include <stdarg.h>
#include <stdbool.h>
/* Exported constants -- ------------------------------------------------------*/
#define QUEUE_SIZE  (64)
/* Exported types ------------------------------------------------------------*/
struct Queue
{
    uint8_t pRD , pWR;
    uint8_t q[QUEUE_SIZE];
};
// Configuration
int message_queue_full(volatile struct Queue *q);
int message_queue_empty(volatile struct Queue *q);
int message_enqueue(volatile struct Queue *q, uint8_t data);
int message_dequeue(volatile struct Queue *q, uint8_t *data);

/*=============================  END QUEUE HANDLING===========================*/

#endif
/* ********** Copyright (c) 2018 _KEMET, Ltd. **********END OF FILE************/
